Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150271 - Connections with the same name are removed by removing by removing DB with this name
Connections with the same name are removed by removing by removing DB with th...
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: MySQL
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 18:46 UTC by Roman Mostyka
Modified: 2008-12-11 22:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-15 18:46:35 UTC
1. Add MySQL connection for "travel" DB on remote MySQL server.
2. Register local MySQL server.
3. Add MySQL connection for "travel" DB on local MySQL server.
4. Expand registered MySQL server's node, rightclick "travel" DB and choose "Delete".

Result: Both connection (for local and remote servers) to "travel" DB are deleted.
I'm not sure that it is P1, since there is workaround (add all necessary connections again), but it is very, very
inconvenient.
But anyway, if you think that it is P2, then I don't have objections.
Comment 1 David Vancouvering 2008-10-15 18:52:14 UTC
I don't believe this is a showstopper, I don't think this is a common scenario.  But it's an easy fix, so I will let it
be your call.  I'll work on a fix.
Comment 2 David Vancouvering 2008-10-15 19:09:55 UTC
7d3ae7ed7801
a99b3f12dea2

Check to make sure host name in connection matches host name for MySQL server before deleting connection.  Also use IP
address as a possibility, and also check to make port number matches.
Comment 3 David Vancouvering 2008-10-15 22:05:49 UTC
Roman, after further consideration, I don't believe this is a P1 - such that it needs to be integrated into RC branch. 
But let's definitely get this into patch1.
Comment 4 Quality Engineering 2008-10-16 04:16:55 UTC
Integrated into 'main-golden', will be available in build *200810160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7d3ae7ed7801
User: David Van Couvering <davidvc@netbeans.org>
Log: #150271: Connections with the same name are removed by removing by removing DB with this name
Comment 5 Roman Mostyka 2008-10-16 13:36:22 UTC
Verified with build 081016.
Comment 6 rbalada 2008-11-18 13:47:49 UTC
I've transplanted the two referred changesets into release65_fixes repository in following way:
http://hg.netbeans.org/main/rev/7d3ae7ed7801 as http://hg.netbeans.org/release65_fixes/rev/58be968fe970
http://hg.netbeans.org/main/rev/a99b3f12dea2 as http://hg.netbeans.org/release65_fixes/rev/4b50efb306cb


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo